{"openapi":"3.0.0","info":{"title":"3rd party odds","description":"A self service API based platform for onboarding an external partner (providing specialized precomputed odds), ingesting the odds and forwarding it to bookmakers via UOF.<p>&copy; Sportradar Copyright.<br/>Only logged-in users are allowed to access it. Do not share it with unauthorized users.</p>","version":"1.0.0"},"tags":[{"name":"Get Markets"},{"name":"Get Fixtures"},{"name":"Send Heartbeat"},{"name":"Session Connect"},{"name":"Session Disconnect"},{"name":"Send Odds"},{"name":"Send Settlements"},{"name":"Rollback Settlements"},{"name":"Void Settlements"},{"name":"Bet Cancel"},{"name":"Rollback Bet Cancel"}],"servers":[{"url":"https://developer.sportradar.com"}],"paths":{"/markets/{language}/{sport}/micro_markets.xml":{"get":{"summary":"Micro Markets descriptions","description":"Defines all currently available micro markets","tags":["Get Markets"],"responses":{"200":{"description":"successful operation"}},"parameters":[{"name":"language","description":"Language code for translation.","in":"path","required":true,"schema":{"type":"string"},"default":"en"},{"name":"sport","description":"Sport for which markets need to be enquired","in":"path","required":true,"schema":{"type":"string"},"default":"basketball"}]}},"/fixtures/{language}/sport_events/{urn_type}:{id}/fixture.xml":{"get":{"summary":"Fixture for a specified sport event","description":"Lists the fixture for a specified sport event (match, stage).","operationId":"fixturesForEvent","tags":["Get Fixtures"],"responses":{"200":{"description":"successful operation"}},"parameters":[{"name":"language","description":"Language code for translation.","in":"path","required":true,"schema":{"type":"string"},"default":"en"},{"name":"urn_type","description":"The type of event to look up.","in":"path","required":true,"schema":{"type":"string","enum":["sr:match","sr:stage","sr:season","sr:tournament","sr:simple_tournament","vf:match","vf:season","vf:tournament","vbl:match","vbl:season","vbl:tournament","vto:match","vto:season","vto:tournament","vdr:stage","vhc:stage","vti:match","vti:tournament","codds:competition_group","vci:match","vci:tournament","vbi:match","vbi:tournament"]},"default":"sr:match"},{"name":"id","description":"The ID for the sport event to get fixture data from.","in":"path","required":true,"schema":{"type":"integer"},"default":"8696826"}]}},"/{product}/{partner_id}/sr:match:{id}/heartbeat":{"post":{"summary":"Send Heartbeat","description":"Send heartbeat message to keep connection/session alive.","tags":["Send Heartbeat"],"responses":{"200":{"description":"successful operation"}},"parameters":[{"name":"product","description":"Get full recovery of prematch, live, premium cricket, betpal or virtual sports odds.","in":"path","required":true,"schema":{"type":"string","enum":["pre","liveodds","premium_cricket","betpal","vf","vbl","vto","wns","vdr","vhc","vti","codds","vci","vbi"]},"default":"liveodds"},{"name":"partner_id","description":"ID of the partner providing specialized odds.","in":"path","required":true,"schema":{"type":"string"},"default":"nvenue"},{"name":"id","description":"The ID for the sport event to get fixture data from.","in":"path","required":true,"schema":{"type":"integer"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"s3p/v1/Session/Heartbeat.yaml"}}}}}}},"components":{"securitySchemes":{"key":{"type":"apiKey","in":"header","name":"x-access-token"}},"schemas":{"ResponseCode":{"type":"string","enum":["OK","CREATED","ACCEPTED","FORBIDDEN","NOT_FOUND","CONFLICT","SERVICE_UNAVAILABLE","NOT_IMPLEMENTED","MOVED_PERMANENTLY","BAD_REQUEST"]}}},"security":[{"key":[]}]}